#### 3.17.28 MN10300 Options

These `-m` options are defined for Matsushita MN10300 architectures:

`-mmult-bug`
  Generate code to avoid bugs in the multiply instructions for the MN10300 processors. This is the default.
`-mno-mult-bug`
  Do not generate code to avoid bugs in the multiply instructions for the MN10300 processors.
`-mam33`
  Generate code using features specific to the AM33 processor.
`-mno-am33`
  Do not generate code using features specific to the AM33 processor. This is the default.
`-mam33-2`
  Generate code using features specific to the AM33/2.0 processor.
`-mam34`
  Generate code using features specific to the AM34 processor.
`-mtune=`cpu-type
  Use the timing characteristics of the indicated CPU type when scheduling instructions. This does not change the targeted processor type. The CPU type must be one of ‘`mn10300`’, ‘`am33`’, ‘`am33-2`’ or ‘`am34`’.
`-mreturn-pointer-on-d0`
  When generating a function that returns a pointer, return the pointer in both `a0` and `d0`. Otherwise, the pointer is returned only in `a0`, and attempts to call such functions without a prototype result in errors. Note that this option is on by default; use `-mno-return-pointer-on-d0` to disable it.
`-mno-crt0`
  Do not link in the C run-time initialization object file.
`-mrelax`
  Indicate to the linker that it should perform a relaxation optimization pass to shorten branches, calls and absolute memory addresses. This option only has an effect when used on the command line for the final link step.

  This option makes symbolic debugging impossible.

`-mliw`
  Allow the compiler to generate Long Instruction Word instructions if the target is the ‘`AM33`’ or later. This is the default. This option defines the preprocessor macro ‘`__LIW__`’.
`-mnoliw`
  Do not allow the compiler to generate Long Instruction Word instructions. This option defines the preprocessor macro ‘`__NO_LIW__`’.
`-msetlb`
  Allow the compiler to generate the SETLB and Lcc instructions if the target is the ‘`AM33`’ or later. This is the default. This option defines the preprocessor macro ‘`__SETLB__`’.
`-mnosetlb`
  Do not allow the compiler to generate SETLB or Lcc instructions. This option defines the preprocessor macro ‘`__NO_SETLB__`’.